Subject: bug#13448: Cannot build Emacs 24.2.92

From: Glenn Morris <[email-masked]>
Date: Tue, 15 Jan 2013 14:36:08 -0500

Glenn Morris wrote:

> (It seems confusing if --enable-gcc-warnings actually enables _errors_
> rather than warnings though.)

https://www.gnu.org/software/gnulib/manual/html_node/warnings.html

says

   Note that it is a bad idea to use gl_WARN_ADD([-Werror]). The
   warnings emitted by GCC depend, to some extent, on the contents of
   the system header files, on the size and signedness of built-in
   types, etc. Use of -Werror would cause frustration to all users on
   platforms that the maintainer has not tested before the release. It
   is better if maintainers use -Werror only for themselves

So why does configure.ac contain this:

   gl_WARN_ADD([-Werror], [WERROR_CFLAGS])

with WERROR_CFLAGS being unconditionally added to ALL_CFLAGS?